/**
 *
 */
package kr.co.kihyun.beans.entity;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
 * @author bhs
 * 20170929 REPOADM:보고관리자를 학교관리자, SUB_TOTADM:기관집계관리자를 부서관리자로 수정 BY wonseok Lee
 */
public enum SysAuth {
                          REPOPER("보고자")
                        , SUB_TOTPER("집계자")
                        , TOTPER("일반사용자")
                        , DUMMY1("DUMMY1")
                        , PART_REPOADM("기관보고관리자")
                        , REPOADM("학교관리자")
                        , SUB_TOTADM("부서관리자")
                        , SUB_SYSADM("기관시스템관리자")
                        , TOTADM("집계관리자")
                        , SYSADM("시스템관리자");

	private final String name;
        private static final Logger LOG = LoggerFactory.getLogger(SysAuth.class);

	private SysAuth(String authName) {
		this.name = authName;
	}

      //v2. 5.static final 필드 변조 가능성 : Update by KWON,HAN
      //private는 같은 클래스 내에서만 호출이 가능하므로 접근제한이 없는 public으로 하고 final을 사용하지 않는다
//	public static final SysAuth asSysAuth(int authNum) {
	public static SysAuth asSysAuth(int authNum) {
            LOG.debug("v2. 5.static final 필드 변조 가능성 : SysAuth.asSysAuth() Not Test {}", values()[authNum]);
		return values()[authNum];
	}
      //==========================================================

	@Override
	public String toString() {
		return name;
	}
}
